package org.springblade.common.controller;

import com.alibaba.fastjson.JSONObject;
import org.springblade.core.mp.support.Query;
import org.springblade.modules.JlrhJws.entity.JlrhJwsEntity;
import org.springblade.modules.appmenu.entity.AppMenu;
import org.springblade.modules.bzdz.entity.BzdzEntity;
import org.springblade.modules.csInfo.entity.CsInfoEntity;
import org.springblade.modules.csjcInfo.entity.CsjcInfoEntity;
import org.springblade.modules.fxpc.entity.FxpcEntity;
import org.springblade.modules.log.sjSp.entity.SjSpEntity;
import org.springblade.modules.mdjfdj.entity.MdjfDjEntity;
import org.springblade.modules.mdjfdj.vo.MdXgVO;
import org.springblade.modules.mdjfdj.vo.MdjfDjVO;
import org.springblade.modules.mdjfhf.entity.HfEntity;
import org.springblade.modules.mdjfry.entity.MdjfRyEntity;
import org.springblade.modules.mdjftj.entity.MdjfTjEntity;
import org.springblade.modules.mdjfxj.djXj.entity.DjXjEntity;
import org.springblade.modules.mdjfxj.djXj.vo.DjXjVO;
import org.springblade.modules.mdjfxj.tjXj.entity.TjXjEntity;
import org.springblade.modules.rhzf.fwInfo.entity.FwInfoEntity;
import org.springblade.modules.rhzf.fwInfo.vo.RhzfSaveVO;
import org.springblade.modules.rhzf.fwInfo.vo.SyjzryVO;
import org.springblade.modules.rhzf.fwqz.pojo.entity.RhzfFwqzEntity;
import org.springblade.modules.rwxffkb.vo.RwxffkbVO;
import org.springblade.modules.sign.entity.SignEntity;
import org.springblade.modules.sign.vo.SignVO;
import org.springblade.modules.system.entity.User;
import org.springblade.modules.system.vo.GsdrsjbVO;
import org.springblade.modules.system.vo.MjDeptVO;
import org.springblade.modules.temDuizhao.entity.TemDuizhaoEntity;
import org.springblade.modules.userJwd.entity.UserJwdEntity;
import org.springblade.modules.wgr.check.entity.CheckEntity;
import org.springblade.modules.xlfk.pojo.entity.XlfkEntity;
import org.springblade.modules.xxy.entity.XxyEntity;
import org.springblade.modules.yhyj.vo.YhyjParamsVO;

import java.lang.reflect.Method;
import java.util.Map;

public class ParamsConvert {
	public static Object paramsConvert(Object proxyObject, String className, Method method, Map<String, Object> params) throws Exception {
		JSONObject jsonObject = new JSONObject();
		if (className.equals("fwInfoController") && method.getName().equals("saveFwAndRy")) {
			// app-入户走访-新增
			jsonObject.putAll(params);
			RhzfSaveVO rhzfSaveVO = jsonObject.toJavaObject(RhzfSaveVO.class);
			return method.invoke(proxyObject, rhzfSaveVO);
		} else if (className.equals("appMenuController") && method.getName().equals("getSssj")) {
			// app首页-实时数据统计
			return method.invoke(proxyObject, params);
		} else if (className.equals("bladeTokenEndPoint") && method.getName().equals("token3")) {
			// app登录
			return method.invoke(proxyObject, params.get("username").toString(), params.get("password").toString());
		} else if (className.equals("bladeTokenEndPoint") && method.getName().equals("token2")) {
			// app刷新token
			jsonObject.putAll(params);
			User entityVo = jsonObject.toJavaObject(User.class);
			String deptId = "";
			String roleId = "";
			return method.invoke(proxyObject, entityVo, deptId, roleId);
		} else if (className.equals("bladeTokenEndPoint") && method.getName().equals("token")) {
			// app登录
			return method.invoke(proxyObject, "000000", params.get("username").toString(), params.get("password").toString(), "sfzh"
				, "deptId", "roleId", params.get("code").toString());
		} else if (className.equals("signController") && method.getName().equals("save")) {
			//考勤
			jsonObject.putAll(params);
			SignEntity signEntity = jsonObject.toJavaObject(SignEntity.class);
			return method.invoke(proxyObject, signEntity);
		} else if (className.equals("signController") && method.getName().equals("getDkfw")) {
			return method.invoke(proxyObject);
		} else if (className.equals("signController") && method.getName().equals("detail")) {
			jsonObject.putAll(params);
			SignEntity entityVo = jsonObject.toJavaObject(SignEntity.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("signController") && method.getName().equals("page")) {
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			jsonObject.putAll(params);
			SignVO entityVo = jsonObject.toJavaObject(SignVO.class);
			return method.invoke(proxyObject, entityVo, query);
		} else if (className.equals("signController") && method.getName().equals("update")) {
			jsonObject.putAll(params);
			SignEntity signEntity = jsonObject.toJavaObject(SignEntity.class);
			return method.invoke(proxyObject, signEntity);
		} else if (className.equals("signController") && method.getName().equals("submit")) {
			jsonObject.putAll(params);
			SignEntity signEntity = jsonObject.toJavaObject(SignEntity.class);
			return method.invoke(proxyObject, signEntity);
		} else if (className.equals("signController") && method.getName().equals("selectDkjlByUserid")) {
			long userId = Long.parseLong(params.get("userId").toString());
			String yf = params.get("yf").toString();
			return method.invoke(proxyObject, userId, yf);
		} else if (className.equals("signController") && method.getName().equals("selectBm")) {
			return method.invoke(proxyObject);
		} else if (className.equals("signController") && method.getName().equals("getSignException")) {
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			return method.invoke(proxyObject, params, query);
		} else if (className.equals("appMenuController") && method.getName().equals("getDbsx")) {
			return method.invoke(proxyObject, params);
		} else if (className.equals("appMenuController") && method.getName().equals("list")) {
			Query query = new Query();
			AppMenu appMenu = new AppMenu();
			return method.invoke(proxyObject, appMenu, query);
		} else if (className.equals("noticeController") && method.getName().equals("newList")) {
			return method.invoke(proxyObject);
		} else if (className.equals("mdjfDjController") && method.getName().equals("pageToApp")) {
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			return method.invoke(proxyObject, params, query);
		} else if (className.equals("mdjfDjController") && method.getName().equals("update")) {
			jsonObject.putAll(params);
			MdjfDjEntity entityVo = jsonObject.toJavaObject(MdjfDjEntity.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("mdjfDjController") && method.getName().equals("detailById")) {
			long id = Long.parseLong(params.get("id").toString());
			return method.invoke(proxyObject, id);
		} else if (className.equals("mdjfDjController") && method.getName().equals("getMddjzd")) {
			return method.invoke(proxyObject, params);
		} else if (className.equals("hfController") && method.getName().equals("save")) {
			jsonObject.putAll(params);
			HfEntity entityVo = jsonObject.toJavaObject(HfEntity.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("hfController") && method.getName().equals("listByJfId")) {
			return method.invoke(proxyObject, params);
		} else if (className.equals("mdjfDjController") && method.getName().equals("save")) {
			jsonObject.putAll(params);
			MdjfDjEntity entityVo = jsonObject.toJavaObject(MdjfDjEntity.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("mdjfTjController") && method.getName().equals("page")) {
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			return method.invoke(proxyObject, params, query);
		} else if (className.equals("mdjfDjController") && method.getName().equals("selectJflx")) {
			return method.invoke(proxyObject, params);
		} else if (className.equals("mdjfTjController") && method.getName().equals("save")) {
			jsonObject.putAll(params);
			MdjfTjEntity entityVo = jsonObject.toJavaObject(MdjfTjEntity.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("mdjfDjController") && method.getName().equals("mdjfDj")) {
			jsonObject.putAll(params);
			MdjfDjVO entityVo = jsonObject.toJavaObject(MdjfDjVO.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("mdjfDjController") && method.getName().equals("updateByApp")) {
			jsonObject.putAll(params);
			MdXgVO mdXgVO = jsonObject.toJavaObject(MdXgVO.class);
			return method.invoke(proxyObject, mdXgVO);
		} else if (className.equals("mdjfDjController") && method.getName().equals("getJqTx")) {
			return method.invoke(proxyObject);
		} else if (className.equals("appMenuController") && method.getName().equals("getDeptList")) {
			return method.invoke(proxyObject);
		} else if (className.equals("csInfoController") && method.getName().equals("remove")) {
			return method.invoke(proxyObject, params);
		} else if (className.equals("csInfoController") && method.getName().equals("detail")) {
			jsonObject.putAll(params);
			CsInfoEntity entityVo = jsonObject.toJavaObject(CsInfoEntity.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("csInfoController") && method.getName().equals("getOverDue")) {
			return method.invoke(proxyObject, params);
		} else if (className.equals("csInfoController") && method.getName().equals("getPermission")) {
			return method.invoke(proxyObject);
		} else if (className.equals("csInfoController") && method.getName().equals("submit")) {
			jsonObject.putAll(params);
			CsInfoEntity entityVo = jsonObject.toJavaObject(CsInfoEntity.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("csInfoController") && method.getName().equals("selectCsPcs")) {
			jsonObject.putAll(params);
			CsInfoEntity entityVo = jsonObject.toJavaObject(CsInfoEntity.class);
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			return method.invoke(proxyObject, entityVo, query);
		} else if (className.equals("csInfoController") && method.getName().equals("getJsBySqs")) {
			return method.invoke(proxyObject, params);
		} else if (className.equals("csInfoController") && method.getName().equals("page")) {
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			return method.invoke(proxyObject, params, query);
		} else if (className.equals("csInfoController") && method.getName().equals("save")) {
			jsonObject.putAll(params);
			CsInfoEntity entityVo = jsonObject.toJavaObject(CsInfoEntity.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("csInfoController") && method.getName().equals("addJdrhCsInfo")) {
			return method.invoke(proxyObject, params);
		} else if (className.equals("csInfoController") && method.getName().equals("deleteYrl")) {
			String ids = params.get("ids").toString();
			return method.invoke(proxyObject, ids);
		} else if (className.equals("csInfoController") && method.getName().equals("getCsListByPcsBm")) {
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			return method.invoke(proxyObject, params, query);
		} else if (className.equals("csInfoController") && method.getName().equals("update")) {
			jsonObject.putAll(params);
			CsInfoEntity entityVo = jsonObject.toJavaObject(CsInfoEntity.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("csInfoController") && method.getName().equals("tyxy")) {
			jsonObject.putAll(params);
			CsInfoEntity entityVo = jsonObject.toJavaObject(CsInfoEntity.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("csjcInfoController") && method.getName().equals("submit")) {
			jsonObject.putAll(params);
			CsjcInfoEntity entityVo = jsonObject.toJavaObject(CsjcInfoEntity.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("csjcInfoController") && method.getName().equals("detail")) {
			long id = Long.parseLong(params.get("id").toString());
			return method.invoke(proxyObject, id);
		} else if (className.equals("csjcInfoController") && method.getName().equals("getQsfkList")) {
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			return method.invoke(proxyObject, params, query);
		} else if (className.equals("csjcInfoController") && method.getName().equals("getZgList")) {
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			return method.invoke(proxyObject, params, query);
		} else if (className.equals("csjcInfoController") && method.getName().equals("updates")) {
			jsonObject.putAll(params);
			CsjcInfoEntity entityVo = jsonObject.toJavaObject(CsjcInfoEntity.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("csjcInfoController") && method.getName().equals("update")) {
			jsonObject.putAll(params);
			CsjcInfoEntity entityVo = jsonObject.toJavaObject(CsjcInfoEntity.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("csjcInfoController") && method.getName().equals("save")) {
			jsonObject.putAll(params);
			CsjcInfoEntity entityVo = jsonObject.toJavaObject(CsjcInfoEntity.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("csjcInfoController") && method.getName().equals("getPageByCsId")) {
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			return method.invoke(proxyObject, params, query);
		} else if (className.equals("csjcInfoController") && method.getName().equals("getXfbm")) {
			return method.invoke(proxyObject, params);
		} else if (className.equals("csjcInfoController") && method.getName().equals("yhlr")) {
			jsonObject.putAll(params);
			YhyjParamsVO yhyjParamsVO = jsonObject.toJavaObject(YhyjParamsVO.class);
			return method.invoke(proxyObject, yhyjParamsVO);
		} else if (className.equals("csjcInfoController") && method.getName().equals("getYhcl")) {
			String id = params.get("id").toString();
			return method.invoke(proxyObject, id);
		} else if (className.equals("jlrhJwsController") && method.getName().equals("getJwsDept")) {
			String parentId = params.get("parentId").toString();
			Integer deptCategory = Integer.valueOf(params.get("deptCategory").toString());
			return method.invoke(proxyObject, parentId, deptCategory);
		} else if (className.equals("mdjfRyController") && method.getName().equals("update")) {
			jsonObject.putAll(params);
			MdjfRyEntity entityVo = jsonObject.toJavaObject(MdjfRyEntity.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("fwInfoController") && method.getName().equals("getLdListApp")) {
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			return method.invoke(proxyObject, params, query);
		} else if (className.equals("fwInfoController") && method.getName().equals("getLdDetail")) {
			return method.invoke(proxyObject, params);
		} else if (className.equals("fwInfoController") && method.getName().equals("getFjDetail")) {
			return method.invoke(proxyObject, params);
		} else if (className.equals("fwInfoController") && method.getName().equals("updateRy")) {
			jsonObject.putAll(params);
			SyjzryVO syjzryVO = jsonObject.toJavaObject(SyjzryVO.class);
			return method.invoke(proxyObject, syjzryVO);
		} else if (className.equals("fwInfoController") && method.getName().equals("secondRhzf")) {
			jsonObject.putAll(params);
			RhzfSaveVO rhzfSaveVO = jsonObject.toJavaObject(RhzfSaveVO.class);
			return method.invoke(proxyObject, rhzfSaveVO);
		} else if (className.equals("fwInfoController") && method.getName().equals("dictionary")) {
			return method.invoke(proxyObject);
		} else if (className.equals("fwInfoController") && method.getName().equals("getRyls")) {
			return method.invoke(proxyObject, params);
		} else if (className.equals("deptController") && method.getName().equals("getSqList")) {
			return method.invoke(proxyObject);
		} else if (className.equals("deptController") && method.getName().equals("updateUserDept")) {
			jsonObject.putAll(params);
			MjDeptVO bzdz = jsonObject.toJavaObject(MjDeptVO.class);
			return method.invoke(proxyObject, bzdz);
		} else if (className.equals("bzdzController") && method.getName().equals("getXzqh")) {
			return method.invoke(proxyObject, params);
		} else if (className.equals("bzdzController") && method.getName().equals("save")) {
			jsonObject.putAll(params);
			BzdzEntity bzdz = jsonObject.toJavaObject(BzdzEntity.class);
			return method.invoke(proxyObject, bzdz);
		} else if (className.equals("fwInfoController") && method.getName().equals("save")) {
			jsonObject.putAll(params);
			FwInfoEntity fwInfoEntity = jsonObject.toJavaObject(FwInfoEntity.class);
			return method.invoke(proxyObject, fwInfoEntity);
		} else if (className.equals("bzdzController") && method.getName().equals("page")) {
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			return method.invoke(proxyObject, params, query);
		} else if (className.equals("fwInfoController") && method.getName().equals("update")) {
			jsonObject.putAll(params);
			FwInfoEntity fwInfoEntity = jsonObject.toJavaObject(FwInfoEntity.class);
			return method.invoke(proxyObject, fwInfoEntity);
		} else if (className.equals("fwInfoController") && method.getName().equals("remove")) {
			String ids = params.get("ids").toString();
			return method.invoke(proxyObject, ids);
		} else if (className.equals("bzdzController") && method.getName().equals("remove")) {
			String ids = params.get("ids").toString();
			return method.invoke(proxyObject, ids);
		} else if (className.equals("ossEndpoint") && method.getName().equals("putFile3")) {
			String base64 = params.get("base64").toString();
			String fileName = params.get("fileName").toString();
			return method.invoke(proxyObject, base64, fileName);
		} else if (className.equals("jlrhJwsController") && method.getName().equals("submit")) {
			jsonObject.putAll(params);
			JlrhJwsEntity jwsEntity = jsonObject.toJavaObject(JlrhJwsEntity.class);
			return method.invoke(proxyObject, jwsEntity);
		} else if (className.equals("jlrhJwsController") && method.getName().equals("update")) {
			jsonObject.putAll(params);
			JlrhJwsEntity jwsEntity = jsonObject.toJavaObject(JlrhJwsEntity.class);
			return method.invoke(proxyObject, jwsEntity);
		} else if (className.equals("jlrhJwsController") && method.getName().equals("page")) {
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			return method.invoke(proxyObject, params, query);
		} else if (className.equals("jlrhJwsController") && method.getName().equals("remove")) {
			String ids = params.get("ids").toString();
			return method.invoke(proxyObject, ids);
		} else if (className.equals("jlrhJwsController") && method.getName().equals("detail")) {
			long id = Long.parseLong(params.get("id").toString());
			return method.invoke(proxyObject, id);
		} else if (className.equals("jlrhJwsController") && method.getName().equals("selectJwsPcs")) {
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			jsonObject.putAll(params);
			JlrhJwsEntity entityVo = jsonObject.toJavaObject(JlrhJwsEntity.class);
			return method.invoke(proxyObject, entityVo, query);
		} else if (className.equals("jlrhJwsController") && method.getName().equals("selectJwsxx")) {
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			jsonObject.putAll(params);
			JlrhJwsEntity entityVo = jsonObject.toJavaObject(JlrhJwsEntity.class);
			return method.invoke(proxyObject, entityVo, query);
		} else if (className.equals("zdbController") && method.getName().equals("getChildrenByZddm")) {
			String zddm = params.get("zddm").toString();
			return method.invoke(proxyObject, zddm);
		} else if (className.equals("zdbController") && method.getName().equals("getParentsBySqbm")) {
			String zddm = params.get("zddm").toString();
			return method.invoke(proxyObject, zddm);
		} else if (className.equals("zdbController") && method.getName().equals("getDetailByZddm")) {
			String zddm = params.get("zddm").toString();
			return method.invoke(proxyObject, zddm);
		} else if (className.equals("fwInfoController") && method.getName().equals("getLdphhz")) {
			return method.invoke(proxyObject, params);
		} else if (className.equals("userController") && method.getName().equals("updateByZp")) {
			jsonObject.putAll(params);
			User user = jsonObject.toJavaObject(User.class);
			return method.invoke(proxyObject, user);
		} else if (className.equals("userInfoController") && method.getName().equals("mfjgl")) {
			return method.invoke(proxyObject, params);
		} else if (className.equals("appMenuController") && method.getName().equals("getQzgx")) {
			return method.invoke(proxyObject, params);
		} else if (className.equals("fwRyController") && method.getName().equals("appRemove")) {
			return method.invoke(proxyObject, params);
		} else if (className.equals("fwInfoController") && method.getName().equals("getRyxxBySfzh")) {
			return method.invoke(proxyObject, params);
		} else if (className.equals("fwInfoController") && method.getName().equals("getZtry")) {
			String rksfzh = params.get("rksfzh").toString();
			return method.invoke(proxyObject, rksfzh);
		} else if (className.equals("fwInfoController") && method.getName().equals("getRhzfCs")) {
			return method.invoke(proxyObject);
		} else if (className.equals("userController") && method.getName().equals("getGsdrsjb")) {
			jsonObject.putAll(params);
			GsdrsjbVO entityVo = jsonObject.toJavaObject(GsdrsjbVO.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("sjAppController") && method.getName().equals("console")) {
			return method.invoke(proxyObject, params);
		} else if (className.equals("csInfoController") && method.getName().equals("getDzListApp")) {
			return method.invoke(proxyObject, params);
		} else if (className.equals("csInfoController") && method.getName().equals("getDzListWeb")) {
			return method.invoke(proxyObject, params);
		} else if (className.equals("sjSpController") && method.getName().equals("page")) {
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			return method.invoke(proxyObject, params, query);
		} else if (className.equals("sjSpController") && method.getName().equals("update")) {
			jsonObject.putAll(params);
			SjSpEntity sjSpEntity = jsonObject.toJavaObject(SjSpEntity.class);
			return method.invoke(proxyObject, sjSpEntity);
		} else if (className.equals("djXjController") && method.getName().equals("mdjfDj")) {
			jsonObject.putAll(params);
			DjXjVO entityVo = jsonObject.toJavaObject(DjXjVO.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("djXjController") && method.getName().equals("pageToApp")) {
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			return method.invoke(proxyObject, params, query);
		} else if (className.equals("djXjController") && method.getName().equals("update")) {
			jsonObject.putAll(params);
			DjXjEntity entityVo = jsonObject.toJavaObject(DjXjEntity.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("djXjController") && method.getName().equals("detailById")) {
			long id = Long.parseLong(params.get("id").toString());
			return method.invoke(proxyObject, id);
		} else if (className.equals("tjXjController") && method.getName().equals("save")) {
			jsonObject.putAll(params);
			TjXjEntity entityVo = jsonObject.toJavaObject(TjXjEntity.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("tjXjController") && method.getName().equals("page")) {
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			return method.invoke(proxyObject, params, query);
		} else if (className.equals("djXjController") && method.getName().equals("getUserDept")) {
			return method.invoke(proxyObject, params);
		} else if (className.equals("temDuizhaoController") && method.getName().equals("save")) {
			jsonObject.putAll(params);
			TemDuizhaoEntity duizhaoEntity = jsonObject.toJavaObject(TemDuizhaoEntity.class);
			return method.invoke(proxyObject, duizhaoEntity);
		} else if (className.equals("temDuizhaoController") && method.getName().equals("remove")) {
			String ids = params.get("ids").toString();
			return method.invoke(proxyObject, ids);
		} else if (className.equals("temDuizhaoController") && method.getName().equals("update")) {
			jsonObject.putAll(params);
			TemDuizhaoEntity duizhaoEntity = jsonObject.toJavaObject(TemDuizhaoEntity.class);
			return method.invoke(proxyObject, duizhaoEntity);
		} else if (className.equals("temDuizhaoController") && method.getName().equals("page")) {
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			return method.invoke(proxyObject, params, query);
		} else if (className.equals("djXjController") && method.getName().equals("getMdByPcs")) {
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			return method.invoke(proxyObject, params, query);
		} else if (className.equals("deptController") && method.getName().equals("getJsByPcsDownSq")) {
			return method.invoke(proxyObject);
		} else if (className.equals("mdjfDjController") && method.getName().equals("getMdjfdj")) {
			jsonObject.putAll(params);
			DjXjEntity djXjEntity = jsonObject.toJavaObject(DjXjEntity.class);
			return method.invoke(proxyObject, djXjEntity);
		} else if (className.equals("djXjController") && method.getName().equals("getMdyjByPcs")) {
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			return method.invoke(proxyObject, params, query);
		} else if (className.equals("fxpcController") && method.getName().equals("save")) {
			jsonObject.putAll(params);
			FxpcEntity entityVo = jsonObject.toJavaObject(FxpcEntity.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("fxpcController") && method.getName().equals("page")) {
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			return method.invoke(proxyObject, params, query);
		} else if (className.equals("fxpcController") && method.getName().equals("detail")) {
			long id = Long.parseLong(params.get("id").toString());
			return method.invoke(proxyObject, id);
		} else if (className.equals("fxpcController") && method.getName().equals("update")) {
			jsonObject.putAll(params);
			FxpcEntity entityVo = jsonObject.toJavaObject(FxpcEntity.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("rwxffkbController") && method.getName().equals("page")) {
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			return method.invoke(proxyObject, params, query);
		} else if (className.equals("rwxffkbController") && method.getName().equals("update")) {
			jsonObject.putAll(params);
			RwxffkbVO entityVo = jsonObject.toJavaObject(RwxffkbVO.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("wgrInfoController") && method.getName().equals("page")) {
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			return method.invoke(proxyObject, params, query);
		} else if (className.equals("checkController") && method.getName().equals("getChecked")) {
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			return method.invoke(proxyObject, params, query);
		} else if (className.equals("checkController") && method.getName().equals("submit")) {
			jsonObject.putAll(params);
			CheckEntity entityVo = jsonObject.toJavaObject(CheckEntity.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("glInfoController") && method.getName().equals("getAppByUserRole")) {
			return method.invoke(proxyObject);
		} else if (className.equals("userController") && method.getName().equals("getXqgk")) {
			return method.invoke(proxyObject);
		} else if (className.equals("xxyController") && method.getName().equals("save")) {
			jsonObject.putAll(params);
			XxyEntity entityVo = jsonObject.toJavaObject(XxyEntity.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("xxyController") && method.getName().equals("update")) {
			jsonObject.putAll(params);
			XxyEntity entityVo = jsonObject.toJavaObject(XxyEntity.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("xxyController") && method.getName().equals("detail")) {
			jsonObject.putAll(params);
			XxyEntity entityVo = jsonObject.toJavaObject(XxyEntity.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("xxyController") && method.getName().equals("getLdListPt")) {
			return method.invoke(proxyObject, params);
		} else if (className.equals("xxyController") && method.getName().equals("getLdDetail")) {
			return method.invoke(proxyObject, params);
		} else if (className.equals("userJwdController") && method.getName().equals("save")) {
			jsonObject.putAll(params);
			UserJwdEntity entityVo = jsonObject.toJavaObject(UserJwdEntity.class);
			return method.invoke(proxyObject, entityVo);
		} else if (className.equals("dictBsznController") && method.getName().equals("bsznList")) {
			return method.invoke(proxyObject);
		} else if (className.equals("dictBsznController") && method.getName().equals("selectListByMc")) {
			String dictValue = params.get("id").toString();
			return method.invoke(proxyObject, dictValue);
		} else if (className.equals("dictBsznController") && method.getName().equals("detailById")) {
			long id = Long.parseLong(params.get("id").toString());
			return method.invoke(proxyObject, id);
		} else if (className.equals("rhzfFwqzController") && method.getName().equals("save")) {
			jsonObject.putAll(params);
			RhzfFwqzEntity rhzfFwqzEntity = jsonObject.toJavaObject(RhzfFwqzEntity.class);
			return method.invoke(proxyObject, rhzfFwqzEntity);
		} else if (className.equals("rhzfFwqzController") && method.getName().equals("page")) {
			Query query = new Query();
			query.setSize(Integer.valueOf(params.get("size").toString()));
			query.setCurrent(Integer.valueOf(params.get("current").toString()));
			return method.invoke(proxyObject, params, query);
		} else if (className.equals("xlfkController") && method.getName().equals("save")) {
			jsonObject.putAll(params);
			XlfkEntity xlfkEntity = jsonObject.toJavaObject(XlfkEntity.class);
			return method.invoke(proxyObject, xlfkEntity);
		}
		return null;
	}
}
